;///////////////////////////////////////////////////////////////////////////////////////////////////
;/                                  Operation Neptune Clone                                        /
;/                              Written by Donald Straney 9/16/04                                  /
;/                        Designed for the Z80/TI-86 graphing calculator                           /
;///////////////////////////////////////////////////////////////////////////////////////////////////

;Sprites
;Compiled to string

.plugin bin

.org $b300

;//////////////////////////////Sub////////////////////////////////

sub_right:										;sub going right
 .db 2,10
 .db $00,$40,$20,$61,$c7,$ff,$ff,$7f,$3f,$68	;layer 1
 .db $00,$33,$1f,$5e,$b8,$00,$f0,$7f,$2d,$50	;layer 2
 .db $00,$73,$3f,$7f,$ff,$ff,$ff,$7f,$3f,$78	;mask
 .db $00,$00,$00,$c0,$f5,$3e,$fe,$fe,$fc,$00	;layer 1
 .db $70,$c8,$fc,$3e,$0f,$45,$00,$fe,$fc,$00	;layer 2
 .db $70,$f8,$fc,$fe,$ff,$ff,$fe,$fe,$fc,$00	;mask

sub_left:										;sub going left
 .db 2,10
 .db $00,$00,$00,$03,$af,$7c,$7f,$7f,$3f,$00	;layer 1
 .db $0e,$13,$3f,$7c,$f0,$a2,$00,$7f,$3f,$00	;layer 2
 .db $0e,$1f,$3f,$7f,$ff,$ff,$7f,$7f,$3f,$00	;mask
 .db $00,$02,$04,$86,$e3,$ff,$ff,$fe,$fc,$16	;layer 1
 .db $00,$cc,$f8,$7a,$1d,$00,$0f,$fe,$b4,$0a	;layer 2
 .db $00,$ce,$fc,$fe,$ff,$ff,$ff,$fe,$fc,$1e	;mask

sub_blank:										;blank sub (used when flashing sub after hit)
 .db 2,10
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00

;//////////////////////////////Objects////////////////////////////////

fragment1:						;capsule fragment (frame 1)
 .db 1,6
 .db $00,$02,$07,$0F,$5F,$3E
 .db $0C,$14,$29,$53,$EF,$7E
 .db $0C,$1E,$3F,$7F,$FF,$7E

fragment2:						;capsule fragment (frame 2)
 .db 1,6
 .db $00,$02,$07,$07,$5B,$3E
 .db $0C,$14,$29,$53,$EB,$7E
 .db $0C,$1E,$3F,$7F,$FF,$7E

canister1:						;data canister (frame 1)
 .db 1,6
 .db $00,$E6,$C3,$E7,$7E,$00
 .db $24,$18,$24,$FF,$7E,$24
 .db $3C,$FE,$FF,$FF,$7E,$3C

canister2:						;data canister (frame 2)
 .db 1,6
 .db $3C,$FE,$FF,$FF,$7E,$3C
 .db $24,$18,$24,$FF,$7E,$24
 .db $3C,$FE,$FF,$FF,$7E,$3C

;//////////////////////////////Projectiles////////////////////////////////

ink_pellet:						;ink pellet fired by sub
 .db 1,6
 .db $18,$1C,$3E,$7E,$3C,$18
 .db $18,$3C,$7E,$7E,$3C,$18
 .db $18,$3C,$7E,$7E,$3C,$18

ink_splat:								;splat when ink pellet hits wall
 .db 1,8
 .db $c9,$f3,$7f,$5e,$ce,$7e,$eb,$c3
 .db $c8,$52,$3f,$5c,$8c,$62,$41,$c2
 .db $c9,$f3,$7f,$7e,$fe,$7e,$eb,$c3

ink_cloud:								;cloud when ink pellet hits enemy
 .db 3,16
 .db $01,$0f,$1f,$7f,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$7f,$0f
 .db $01,$0f,$1f,$7f,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$7f,$0f
 .db $01,$0f,$1f,$7f,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$7f,$0f
 .db $fc,$fe,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$c7
 .db $fc,$fe,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$c7
 .db $fc,$fe,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$c7
 .db $00,$00,$00,$c0,$e0,$e0,$f0,$f0,$f0,$f0,$f0,$e0,$e0,$c0,$c0,$80
 .db $00,$00,$00,$c0,$e0,$e0,$f0,$f0,$f0,$f0,$f0,$e0,$e0,$c0,$c0,$80
 .db $00,$00,$00,$c0,$e0,$e0,$f0,$f0,$f0,$f0,$f0,$e0,$e0,$c0,$c0,$80


ray_proj:	;stinger or something (?) fired by stingray
 .db 1,1
 .db $00
 .db $00
 .db $3c

angelfish_proj:		;small rock spit out by angelfish
 .db 1,3
 .db $00,$18,$00
 .db $18,$3C,$18
 .db $18,$3C,$18

crab_oct_proj:					;large rock thrown by crab, octopus
 .db 1,6
 .db $00,$04,$06,$0E,$3C,$18
 .db $18,$08,$5A,$72,$04,$18
 .db $18,$3C,$7E,$7E,$3C,$18

;//////////////////////////////Enemies////////////////////////////////

clam:
 .db 2,13
 .db $07,$1d,$00,$02,$03,$00,$00,$00,$bf,$dd,$e1,$7c,$1f	;layer 1
 .db $00,$12,$0f,$01,$02,$00,$00,$80,$c0,$e0,$fe,$7f,$1f	;layer 2
 .db $07,$1f,$0f,$03,$03,$00,$00,$80,$ff,$ff,$ff,$7f,$1f	;mask
 .db $00,$c0,$30,$08,$86,$c2,$e1,$62,$f9,$d3,$8e,$3c,$f8	;layer 1
 .db $00,$00,$40,$f0,$78,$2c,$9e,$5d,$07,$0f,$7e,$fc,$f8	;layer 2
 .db $00,$c0,$f0,$f8,$fe,$fe,$ff,$7f,$ff,$ff,$fe,$fc,$f8	;mask

anemone:
 .db 1,26
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00	;layer 2
 .db $00,$00,$00,$00,$20,$70,$38,$28,$78,$74,$38,$7c,$38,$78,$68,$7c,$58,$3c,$78,$38,$1c,$3c,$38,$7c,$60,$7c	;layer 1
 .db $80,$f8,$dc,$78,$3c,$70,$38,$28,$78,$74,$38,$7c,$38,$78,$68,$7c,$58,$3c,$78,$38,$1c,$3c,$38,$7c,$60,$7c	;mask

anemone2:
 .db 1,26
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00	;layer 2
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$20,$70,$78,$38,$1c,$3c,$38,$7c,$60,$7c	;layer 1
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$80,$f8,$dc,$78,$3c,$70,$78,$38,$1c,$3c,$38,$7c,$60,$7c	;mask

man_of_war:
 .db 2,22
 .db $00,$00,$00,$60,$7f,$7f,$75,$24,$00,$00,$00,$40,$00,$10,$00,$00,$01,$00,$00,$00,$00,$00	;layer 2
 .db $3f,$5d,$75,$1f,$00,$40,$6a,$3f,$53,$51,$51,$51,$11,$11,$01,$01,$01,$00,$00,$00,$00,$00	;layer 1
 .db $3f,$7f,$7f,$7f,$7f,$7f,$7f,$3f,$53,$51,$51,$51,$11,$11,$01,$01,$01,$00,$00,$00,$00,$00	;mask
 .db $00,$00,$00,$40,$c0,$c0,$c0,$80,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$40	;layer 2
 .db $80,$c0,$40,$80,$00,$40,$c0,$c0,$40,$40,$40,$40,$40,$40,$40,$40,$40,$40,$40,$40,$40,$40	;layer 1
 .db $80,$c0,$c0,$c0,$c0,$c0,$c0,$c0,$40,$40,$40,$40,$40,$40,$40,$40,$40,$40,$40,$40,$40,$40	;mask

Sprites_To_Mirror:

angelfish:
 .db 2,8
 .db $00,$03,$1e,$1f,$2f,$8f,$3f,$0c	;layer 2
 .db $00,$07,$01,$20,$7c,$f1,$3f,$0c	;layer 1
 .db $00,$07,$1f,$3f,$7f,$ff,$3f,$0c	;mask
 .db $00,$80,$00,$c8,$f0,$f0,$88,$c0	;layer 2
 .db $00,$e0,$c0,$48,$f0,$f0,$88,$c0	;layer 1
 .db $00,$e0,$c0,$c8,$f0,$f0,$88,$c0	;mask

dolphin1:	;tank, frame 1
 .db 3,9
 .db $00,$00,$03,$00,$1f,$60,$00,$00,$01
 .db $03,$03,$03,$1f,$60,$82,$06,$03,$01
 .db $03,$03,$03,$1f,$7f,$ff,$1f,$03,$00
 .db $18,$0e,$fe,$10,$fc,$fe,$3f,$00,$00
 .db $e0,$f1,$fe,$f8,$10,$11,$10,$80,$80
 .db $fe,$ff,$fe,$f8,$fc,$ff,$ff,$fe,$80
 .db $00,$00,$00,$00,$00,$00,$c0,$00,$00
 .db $00,$00,$10,$30,$60,$f0,$10,$00,$00
 .db $00,$00,$10,$30,$60,$f0,$d0,$00,$00

dolphin2:	;tank, frame 2
 .db 3,9
 .db $00,$00,$03,$00,$1f,$60,$00,$00,$01
 .db $03,$03,$03,$1f,$60,$82,$06,$03,$01
 .db $03,$03,$03,$1f,$7f,$ff,$1f,$03,$00
 .db $18,$0e,$fe,$10,$ff,$fe,$3f,$00,$00
 .db $e0,$f1,$fe,$f8,$10,$11,$10,$80,$80
 .db $fe,$ff,$fe,$f8,$ff,$ff,$ff,$fe,$80
 .db $00,$00,$00,$00,$80,$00,$40,$00,$00
 .db $00,$00,$00,$00,$10,$f0,$20,$10,$00
 .db $00,$00,$00,$00,$90,$f0,$60,$10,$00

dolphin3:	;no tank, frame 1
 .db 3,9
 .db $00,$00,$00,$00,$1f,$60,$00,$00,$01
 .db $00,$00,$00,$1f,$60,$82,$06,$03,$01
 .db $00,$00,$00,$1f,$7f,$ff,$1f,$03,$00
 .db $00,$00,$00,$00,$fc,$fe,$3f,$00,$00
 .db $00,$00,$00,$f8,$00,$01,$00,$80,$80
 .db $00,$00,$00,$f8,$fc,$ff,$ff,$fe,$80
 .db $00,$00,$00,$00,$00,$00,$c0,$00,$00
 .db $00,$00,$10,$30,$60,$f0,$10,$00,$00
 .db $00,$00,$10,$30,$60,$f0,$d0,$00,$00

dolphin4:	;no tank, frame 2
 .db 3,9
 .db $00,$00,$00,$00,$1f,$60,$00,$00,$01
 .db $00,$00,$00,$1f,$60,$82,$06,$03,$01
 .db $00,$00,$00,$1f,$7f,$ff,$1f,$03,$00
 .db $00,$00,$00,$00,$ff,$fe,$3f,$00,$00
 .db $00,$00,$00,$fc,$00,$01,$00,$80,$80
 .db $00,$00,$00,$fc,$ff,$ff,$ff,$fe,$80
 .db $00,$00,$00,$00,$80,$00,$40,$00,$00
 .db $00,$00,$00,$00,$10,$f0,$20,$10,$00
 .db $00,$00,$00,$00,$90,$f0,$60,$10,$00

puff_fish:
 .db 2,8
 .db $00,$00,$80,$10,$03,$41,$40,$30	;layer 2
 .db $00,$5c,$3f,$3f,$bc,$bf,$3f,$0f	;layer 1
 .db $3f,$7f,$ff,$ff,$ff,$ff,$7f,$3f	;mask
 .db $40,$12,$0e,$02,$c2,$e6,$0e,$02	;layer 2
 .db $40,$12,$c4,$f0,$30,$fc,$ca,$80	;layer 1
 .db $c0,$f2,$fe,$fe,$fe,$fe,$ce,$82	;mask

puff_fish2:
 .db 2,5
 .db $00,$00,$10,$03,$07
 .db $00,$1c,$3f,$7f,$38
 .db $1e,$3f,$7f,$7f,$3f
 .db $00,$00,$02,$82,$c2
 .db $00,$00,$c0,$f0,$00
 .db $00,$e0,$f2,$fe,$e2

ray:
 .db 2,4
 .db $83,$00,$00,$00	;layer 1
 .db $00,$ff,$03,$00	;layer 2
 .db $83,$ff,$03,$00	;mask
 .db $00,$18,$00,$40	;layer 1
 .db $fc,$fe,$c0,$c0	;layer 2
 .db $fc,$fe,$c0,$c0	;mask

Sprites_To_Mirror_End:

.end