;///////////////////////////////////////////////////////////////////////////////////////////////////
;/                                  Operation Neptune Clone                                        /
;/                              Written by Donald Straney 9/16/04                                  /
;/                        Designed for the Z80/TI-86 graphing calculator                           /
;///////////////////////////////////////////////////////////////////////////////////////////////////

;Data

Level_Str_Name: .db $08,"dragreef"
Tile_Str_Name: .db $07,"ONtiles"
Gfx_Str_Name: .db $05,"ONgfx"

#include "titlescreen.asm"              ;Title screen data

Title_Menu_1_Text: .db "    Start game    ",0		;Text for main menu
Title_Menu_2_Text: .db "          About       ",0
Title_Menu_3_Text: .db "            Exit        ",0

New_Level_Text_1:
.db "Zone: ",0
New_Level_Text_2:
.db "Sector ",0

More_Objects_Text_Lines	equ	6
More_Objects_Text:
.db "Ship's magnetometer",0
.db "indicates the presence of",0
.db "objects in this sector.",0
.db "Surface ship requests that",0
.db "you search for the",0
.db "remaining capsule pieces.",0

Next_Level_Text_Lines	equ	2
Next_Level_Text:
.db "Good job!",0
.db "On to the next level...",0

Lose_Text: .db "You ran out of oxygen",0			;Text displayed when lost

Num_Credit_Lines_1			equ	10					;Number of lines of credit text
Num_Credit_Lines_2			equ	10
Num_Credit_Lines_3			equ	10

Credit_Text_1:										;The credit text itself
.db "Operation Neptune 0.9",0,0
.db "PC/Mac version by TLC",0
.db "TI-86 clone by Donald Straney",0
.db "Much thanks to Cullen Sauls",0
.db "for programming help!",0,0
.db "Text routine by Joshua Seagoe",0
.db "FindPixel by Dan Eble, James Yopp",0
.db "Grayscale ISR by Matthew Shepcar",0

Credit_Text_2:
.db "IM2 ISR template by Matt Johnson",0
.db "DisplayHL, DrawMap by ACZ",0
.db "GridPutSprite by Dan Eble",0
.db "Lite86 II by Kirk Meyer",0
.db "Sprite mirroring by",0
.db "Diederik Kingma",0,0
.db "Thanks to everyone at",0
.db "Epic Programming Studios",0
.db "for their support",0

Credit_Text_3:
.db "Coded with Assembly Studio 86",0
.db "by Jeremy Goetsch",0
.db "Tested/debugged with VTI",0
.db "by Rusty Wagner",0
.db "Gfx created with iStudio",0
.db "by Matt Johnson and CalcGS",0
.db "by Rusty Wagner and Corey Taylor",0,0
.db "I couldn't have done it",0
.db "without you four!",0

Enemy_Sprite_Table_Left:							;Addresses of the sprites for each enemy
.dw angelfish
.dw anemone
.dw man_of_war
.dw puff_fish
.dw 0	;octopus			FOUND
.dw 0	;squid
.dw 0	;barracuda			FOUND
.dw 0	;viper fish			FOUND
.dw 0	;garden eel
.dw 0	;mega mouth			FOUND
.dw 0	;crab
.dw clam
.dw 0	;sea hopper			FOUND
.dw 0	;hammerhead shark
.dw ray-Sprites_To_Mirror+Mirrored_Sprite_Dest
.dw 0	;barnacle			FOUND

Enemy_Sprite_Table_Right:
.dw angelfish-Sprites_To_Mirror+Mirrored_Sprite_Dest
.dw anemone
.dw man_of_war
.dw puff_fish-Sprites_To_Mirror+Mirrored_Sprite_Dest
.dw 0	;octopus
.dw 0	;squid
.dw 0	;barracuda
.dw 0	;viper fish
.dw 0	;garden eel
.dw 0	;mega mouth
.dw 0	;crab
.dw clam
.dw 0	;sea hopper
.dw 0	;hammerhead shark
.dw ray
.dw 0	;barnacle

Enemy_Sprite_Table_Alt_Left:						;Addresses of the sprites for enemies when retracted
.dw 0	;angelfish
.dw anemone2
.dw 0	;man_of_war
.dw puff_fish2
.dw 0	;octopus		FILL
.dw 0	;squid
.dw 0	;barracuda		FILL?
.dw 0	;viper fish		FILL
.dw 0	;garden eel		FILL
.dw 0	;mega mouth		FILL
.dw 0	;crab
.dw 0	;clam			FILL
.dw 0	;sea hopper
.dw 0	;hammerhead shark
.dw 0	;ray
.dw 0	;barnacle

Enemy_Sprite_Table_Alt_Right:
.dw 0	;angelfish
.dw anemone2
.dw 0	;man_of_war
.dw puff_fish2-Sprites_To_Mirror+Mirrored_Sprite_Dest
.dw 0	;octopus		FILL
.dw 0	;squid
.dw 0	;barracuda		FILL?
.dw 0	;viper fish		FILL
.dw 0	;garden eel		FILL
.dw 0	;mega mouth		FILL
.dw 0	;crab
.dw 0	;clam			FILL
.dw 0	;sea hopper
.dw 0	;hammerhead shark
.dw 0	;ray
.dw 0	;barnacle

Enm_Proj_Sprite_Table								;Addresses of the sprites for enemy projectiles
.dw angelfish_proj
.dw 0	;anemone
.dw 0	;man_of_war
.dw 0	;puff_fish
.dw crab_oct_proj
.dw 0	;squid			FILL
.dw 0	;barracuda
.dw 0	;viper fish
.dw 0	;garden eel
.dw 0	;mega mouth
.dw crab_oct_proj
.dw 0	;clam2
.dw 0	;sea hopper
.dw 0	;hammerhead shark
.dw ray_proj
.dw 0	;barnacle

Dolphin_Sprite_Table:								;Addresses of dolphin sprites for different states
.dw dolphin3	;no tank, left, frame 1
.dw dolphin1	;tank, left, frame 1
.dw dolphin3-Sprites_To_Mirror+Mirrored_Sprite_Dest	;no tank, right, frame 1
.dw dolphin1-Sprites_To_Mirror+Mirrored_Sprite_Dest	;tank, right, frame 1
.dw dolphin4	;no tank, left, frame 2
.dw dolphin2	;tank, left, frame 2
.dw dolphin4-Sprites_To_Mirror+Mirrored_Sprite_Dest	;no tank, right, frame 2
.dw dolphin2-Sprites_To_Mirror+Mirrored_Sprite_Dest	;tank, right, frame 2

.end