; fvputs.inc
; Copyright 1999 Joshua Seagoe rabidcow@juno.com
; include fvputequ.inc at top
; look there for more comments

fvputs:
        ld a,(hl)
;Modification
;        or a                    ; return on zero
;        ret z
		inc hl
		or a
		ret z

        push hl
        call fvputc             ; display one char
        pop hl
;        inc hl                  ; next char
        jr fvputs

fvputc:
;        call fcopycharmap       ; get char map with formatting
		call _copycharmaps

        ld a,(hl)
        cp 9                    ; must be less than 9 wide
        ret nc
        or a
        ret z                   ; don't bother if it's 0 wide
;MASK
;        ld b,a                  ; width to b
;        ld e,a                  ; save in e also
;        ld a,$ff                ; prepare for mask
;fvputc_maskloop:
;		sla a                   ; insert a 0 for each col
;        djnz fvputc_maskloop
;        ld c,a                  ; c=mask (right aligned)
;        ld a,e                  ; width
;END MASK

        push hl                 ; save bitmap

        ; now we have to find the pixel address of the cursor pos
        ld de,(_penCol)         ; get pen pos
		add a,e                   ; add char width
        ld (_penCol),a          ; save it
        sub 8                   ; -8 bits to align char
        inc d                   ; we're gonna skip the top row
;		cp $7f                  ; fix for underflow
;        jr nc,fvputc_nounderf   ; (running off the left edge)
;        inc d
;fvputc_nounderf:
        ld e,a

;Modification
;        ld hl,fvputc_RLD        ; find byte in vid mem (from findpixel)
;        ld (hl),d
;        ld a,e                  ; a = x/8 (byte offset within row)
;        rrca
;        rrca
;        rrca
;        rld
;        or $FC                  ; change this to allow different vid planes
;fvputc_vidplane equ $-1
;        ld l,(hl)
;        ld h,a                  ; hl -> byte in vid mem
		ld a,d
		add a,a
		add a,a
		ld h,0
		ld l,a
		add hl,hl
		add hl,hl
		ld a,e
		rra
		rra
		rra
		and %00011111
		add a,l
		ld l,a
		ld a,h
fvputc_vidplane	equ	$+1
		adc a,0
		ld h,a

        ld a,e                  ; a = x%8 (bit offset in byte
        and 7
;        ld de,16
;		sbc hl,de               ; finish fixup for undeflow
;MASK
;        ld b,$ff                ; bc = 16 bit mask, right aligned
;END MASK
        pop de                  ; de -> bitmap width byte
        inc de                  ; de -> bitmap (6 bytes)
        inc de                  ; skip blank row
;MASK
;        push af
;        push hl
;        push de
;fvputc_shiftmloop:              ; shift mask into place
;        or a
;        jr z,fvputc_put
;        add a,$ff                 ; dec a, set carry
;        rr c
;        rr b
;        jr fvputc_shiftmloop
;
;fvputc_put:                     ; and mask to screen
;        ld de,15
;        ld a,5
;fvputc_putmloop:                ; needs to be optimized
;        push af
;;Modification
;;        ld a,(hl)
;;        and c
;;        ld (hl),a
;		ld a,c
;		cpl
;		or (hl)
;		ld (hl),a
;
;        inc hl
;;Modification
;;        ld a,(hl)
;;        and b
;;        ld (hl),a
;		ld a,b
;		cpl
;		or (hl)
;		ld (hl),a
;
;        add hl,de
;        pop af
;        dec a
;        jr nz,fvputc_putmloop
;
;        pop de                  ; char bitmap
;        pop hl                  ; screen location
;        pop af                  ; bit position
;END MASK

        ld c,a
;        ld b,6                  ; 7 rows, skip 1st
		ld b,5

fvputc_putiloop:                ; or image to screen
        ld a,(de)               ; load row
        push bc
        ld b,c
        push de
        ld e,a
        ld d,0
        ld a,b
        or a
        jr z,fvputc_noshifti
fvputc_shiftiloop:              ; shift row of image
        or a                    ; clear carry
        rr e
        rr d
        djnz fvputc_shiftiloop
fvputc_noshifti:
;Modification
;        ld a,(hl)               ; load screen
;        or e
;        ld (hl),a
		ld a,e
		cpl
		and (hl)
		ld (hl),a

        inc hl
;Modification
;        ld a,(hl)
;        or d
;        ld (hl),a               ; save screen
		ld a,d
		cpl
		and (hl)
		ld (hl),a

        ld de,15
        add hl,de               ; go to next row
        pop de
        inc de
        pop bc
		djnz fvputc_putiloop    ; do rest of bitmap

        ret

;fvputc_RLD: .db 0

;fcopycharmap:
;        call _copycharmaps      ; get small char
;        ld a,(hl)
;        cp 9
;        ret nc
;        bit font_null,(iy+font_flags)
;        jr z,fvputc_nonull
;        ld b,6
;        ld c,0
;        push hl
;fvputc_nullloop:
;        inc hl
;        ld (hl),c
;        djnz fvputc_nullloop
;        pop hl
;fvputc_nonull:
;        bit font_bold,(iy+font_flags)
;        jr z,fvputc_nobold
;        inc (hl)                ; inc width
;        push hl
;        ld b,6
;fvputc_boldloop:
;        inc hl
;        ld a,(hl)
;fvputc_crushlow:
;        ld c,a  ;00001101
;        neg     ;11110011
;        xor $ff ;00001100
;		and c   ;00001100
;        jr nz,fvputc_crushlow
;        ld a,c
;        sla a
;        or (hl)
;        ld (hl),a
;        djnz fvputc_boldloop
;        pop hl
;fvputc_nobold:
;        bit font_italic,(iy+font_flags)
;        jr z,fvputc_noitalic
;        push hl
;        ld b,4
;fvputc_italicloop:
;        inc hl
;        ld a,(hl)
;        sra a
;        ld (hl),a
;        djnz fvputc_italicloop
;        pop hl
;fvputc_noitalic:
;        ld a,(hl)
;        ld b,a
;        xor a
;        bit font_under,(iy+font_flags)
;        jr z,fvputc_nounder
;fvputc_underloop:
;        sla a
;        inc a
;        djnz fvputc_underloop
;fvputc_nounder:
;        ld bc,7
;        add hl,bc
;        ld (hl),a
;        sbc hl,bc
;        bit font_strike,(iy+font_flags)
;		jr z,fvputc_nostrike
;        ld a,(hl)
;        ld b,a
;        xor a
;fvputc_strikeloop:
;        sla a
;        inc a
;        djnz fvputc_strikeloop
;        ld bc,3
;        add hl,bc
;        ld (hl),a
;        sbc hl,bc
;fvputc_nostrike:
;        bit font_inverse,(iy+font_flags)
;        jr z,fvputc_noinverse
;        ld a,(hl)
;        ld b,a
;        xor a
;fvputc_inverseloop1:
;        sla a
;        inc a
;        djnz fvputc_inverseloop1
;        ld b,6
;        ld c,a
;        push hl
;fvputc_inverseloop2:
;        inc hl
;        ld a,(hl)
;        xor c
;        ld (hl),a
;        djnz fvputc_inverseloop2
;        pop hl
;fvputc_noinverse
;        ret

.end