;///////////////////////////////////////////////////////////////////////////////////////////////////
;/                                  Operation Neptune Clone                                        /
;/                              Written by Donald Straney 9/16/04                                  /
;/                        Designed for the Z80/TI-86 graphing calculator                           /
;///////////////////////////////////////////////////////////////////////////////////////////////////

;Title screen code

;//////////////////////////////Title menu//////////////////////////////

Show_Title:
	call Draw_Title_Screen
    call Open_Gray                      ;Start grayscale interrupt handler
	call Title_Delay                    ;Wait
	call Title_Delay
	call Title_Delay
Title_Menu:
    set textInverse,(iy+textflags)
    call Draw_Title_Menu
    ld a,Title_Menu_1_Pos_Y
    ld (_penRow),a
Title_Menu_Loop:
    ld a,Title_Menu_Pos_X
    ld (_penCol),a
    ld a,$05
    call _vputmap
Title_Menu_Key_Loop:
    ld a,k_g1
    call Get_Keypress
    cp k_exit
    jp z,Exit_Prog
    cp k_2nd
    jr z,Title_Menu_End_Loop
    ld a,k_g7
    call Get_Keypress
    cp $ff
    jr z,Title_Menu_Key_Loop
    push af
    ld de,(_penCol)
    push de
    call Draw_Title_Menu
    pop de
    ld (_penCol),de
    ld hl,_penRow
    pop af
    cp k_up
    jr z,Title_Menu_Move_Up
    cp k_down
    jr nz,Title_Menu_Key_Loop
Title_Menu_Move_Down:
    ld a,(hl)
    cp Title_Menu_3_Pos_Y
    jr nz,Title_Menu_Continue_Move_Down
    ld a,Title_Menu_1_Pos_Y-6
Title_Menu_Continue_Move_Down:
    add a,6
    ld (hl),a
    call Title_Key_Delay
    jr Title_Menu_Loop
Title_Menu_Move_Up:
    ld a,(hl)
    cp Title_Menu_1_Pos_Y
    jr nz,Title_Menu_Continue_Move_Up
    ld a,Title_Menu_3_Pos_Y+6
Title_Menu_Continue_Move_Up:
    sub 6
    ld (hl),a
    call Title_Key_Delay
    jr Title_Menu_Loop
Title_Menu_End_Loop:
    ld a,(_penRow)
    cp Title_Menu_1_Pos_Y
    jp z,Reset_Game
    cp Title_Menu_2_Pos_Y
    jr z,Show_Credits
;    cp Title_Menu_3_Pos_Y
;    jp z,Exit_Prog
	jp Exit_Prog

;//////////////////////////////Credit screen//////////////////////////////

Show_Credits:
	call Draw_Title_Screen
	call Draw_Background
    ld a,Credits_Pos_X					;Init start of line pos
    ld (Start_Of_Line),a
	ld hl,Credit_Text_1					;Draw the first screen of credits
	ld b,Num_Credit_Lines_1
	call Draw_Credit_Text
	call Wait_For_A_Key					;Wait for a key to be pressed,
	call Draw_Title_Screen				;then draw second set of credits,
	call Draw_Background
	ld hl,Credit_Text_2
	ld b,Num_Credit_Lines_2
	call Draw_Credit_Text
	call Wait_For_A_Key					;wait for another key to be pressed,
	call Draw_Title_Screen
	call Draw_Background
	ld hl,Credit_Text_3					;draw the THIRD set of credits,
	ld b,Num_Credit_Lines_3
	call Draw_Credit_Text
	call Wait_For_A_Key					;wait for YET ANOTHER keypress,
	jp Back_To_Title					;and (FINALLY!) return to the title screen

Draw_Credit_Text:
	ld de,Credits_Pos
	ld (_penCol),de
Draw_Credits_Loop:
	push bc
	ld de,(_penCol)
	push de
	ld a,$fc
	ld (fvputc_vidplane),a
	push hl
	call fvputs
	pop hl
	pop de
	ld (_penCol),de
	ld a,$ca
	ld (fvputc_vidplane),a
	call fvputs
	push hl
	call _vnewline
	pop hl
	pop bc
	djnz Draw_Credits_Loop
	ret

Draw_Background:
	ld hl,$fc00
	call Draw_Background_Layer
	ld hl,$ca00
Draw_Background_Layer:
	ld c,Screen_Height
Draw_Background_Layer_Row:
	ld a,$0f
	or (hl)
	ld (hl),a
	inc hl
	ld b,Screen_Width-2
Draw_Background_Layer_Middle:
	ld (hl),$ff
	inc hl
	djnz Draw_Background_Layer_Middle
	ld a,$f0
	or (hl)
	ld (hl),a
	inc hl
	dec c
	jr nz,Draw_Background_Layer_Row
	ret

;//////////////////////////////Routines//////////////////////////////

Draw_Title_Menu:
    ld a,Title_Menu_Pos_X
    ld (Start_Of_Line),a
    ld de,Title_Menu_1_Pos_Y*256+Title_Menu_Pos_X
    ld hl,Title_Menu_1_Text
	ld (_penCol),de
	call _vputs
    call _vnewline
    ld hl,Title_Menu_2_Text
    call _vputs
    call _vnewline
    ld hl,Title_Menu_3_Text
    jp _vputs

Draw_Title_Screen:
	ld hl,Title_layer2
	ld de,Title_layer1
	jp Draw_Gray_Screen

.end